# LineView

Class in [Yarn.Unity](/2.1/api/csharp/yarn.unity.md)

Inherits from [`DialogueViewBase`](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

A Dialogue View that presents lines of dialogue, using Unity UI elements.

```csharp
public class LineView : DialogueViewBase
```

## Methods

| Name                                                                                                                                 | Description                                                                                                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [DismissLine(Action)](/2.1/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.dismissline.md)                             | Called by the [DialogueRunner](/2.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the view should dismiss its current line from display, and clean up.                                              |
| [InterruptLine(LocalizedLine,Action)](/2.1/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.interruptline.md)           | Called by the [DialogueRunner](/2.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line has been interrupted, and that the Dialogue View should finish presenting its line as quickly as possible. |
| [OnContinueClicked()](/2.1/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncontinueclicked.md)                       | Called when the `Yarn.Unity.LineView.continueButton` is clicked.                                                                                                                                                         |
| [RunLine(LocalizedLine,Action)](/2.1/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.runline.md)                       | Called by the [DialogueRunner](/2.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line should be displayed to the user.                                                                           |
| [UserRequestedViewAdvancement()](/2.1/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.userrequestedviewadvancement.md) | Called by [DialogueAdvanceInput](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md) to signal that the user has requested that the dialogue advance.                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.lineview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
